# Class $HttpProvider

Use `$httpProvider` to change the default behavior of the ng.$http $http service.

- Defined in services/http/http.js:300

#####
Index

### Constructors

constructor

### Properties

$get
defaults
interceptors
useApplyAsync
xsrfTrustedOrigins

##
Constructors

### constructor

- new $HttpProvider(): $HttpProvider

- Use `$httpProvider` to change the default behavior of the ng.$http $http service.

  #### Returns $HttpProvider

  - Defined in services/http/http.js:300

##
Properties

### $get

$get: (string | (($browser: any, $httpBackend: any, $rootScope: any, $q: any, $injector: InjectorService, $sce: any) => {
defaults: {
headers: {
common: {
Accept: string;
};
patch: any;
post: any;
put: any;
};
paramSerializer: string;
transformRequest: ((d: any) => any)[];
transformResponse: ((data: any, headers: any) => any)[];
xsrfCookieName: string;
xsrfHeaderName: string;
};
pendingRequests: any[];
(requestConfig: any): any;
}))[]

- Defined in services/http/http.js:461

### defaults

defaults: {
headers: {
common: {
Accept: string;
};
patch: any;
post: any;
put: any;
};
paramSerializer: string;
transformRequest: ((d: any) => any)[];
transformResponse: ((data: any, headers: any) => any)[];
xsrfCookieName: string;
xsrfHeaderName: string;
}

- Defined in services/http/http.js:346

### interceptors

interceptors: any[]

- Defined in services/http/http.js:408

### useApplyAsync

useApplyAsync: ((value: boolean) => any)

Configure $http service to combine processing of multiple http responses received at around the same time via ng.$rootScope.Scope#$applyAsync $rootScope.$applyAsync. This can result in significant performance improvement for bigger applications that make many HTTP requests concurrently (common during application bootstrap).

Defaults to false. If no value is specified, returns the current configured value.

#### Type declaration

- - (value): any

  - #### Parameters

    - value: boolean

      If true, when requests are loaded, they will schedule a deferred "apply" on the next tick, giving time for subsequent requests in a roughly ~10ms window to load and share the same digest cycle.

    #### Returns any

    If a value is specified, returns the $httpProvider for chaining. otherwise, returns the current configured value.

- Defined in services/http/http.js:391

### xsrfTrustedOrigins

xsrfTrustedOrigins: any[]

- Defined in services/http/http.js:446